model SSmotorObj_RizOtacek "Dynamický model SS motoru"
  Modelica.Blocks.Sources.Step skok annotation(Placement(visible=true, transformation(origin={-70.0,0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
  Modelica.Electrical.Analog.Basic.Resistor odpor annotation(Placement(visible=true, transformation(origin={-15.0,20.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
  Modelica.Electrical.Analog.Basic.Inductor civka "čččč" annotation(Placement(visible=true, transformation(origin={15.0,20.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
  Modelica.Electrical.Analog.Basic.EMF EMF1 annotation(Placement(visible=true, transformation(origin={40.0,-0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
  Modelica.Electrical.Analog.Basic.Ground uzemneni annotation(Placement(visible=true, transformation(origin={-15.0,-35.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
  Modelica.Electrical.Analog.Sources.SignalVoltage napeti annotation(Placement(visible=true, transformation(origin={-40.0,-0.0}, extent={{-10.0,10.0},{10.0,-10.0}}, rotation=1350)));
  Modelica.Mechanics.Rotational.Components.Inertia zatez annotation(Placement(visible=true, transformation(origin={70.0,0.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
equation 
  connect(civka.n,EMF1.p) annotation(Line(visible=true, origin={35.0,16.6667}, points={{-10.0,3.3333},{5.0,3.3333},{5.0,-6.6667}}, color={0,0,255}));
  connect(odpor.n,civka.p) annotation(Line(visible=true, origin={0.0,20.0}, points={{-5.0,0.0},{5.0,0.0}}, color={0,0,255}));
  connect(skok.y,napeti.v) annotation(Line(visible=true, origin={-53.0,0.0}, points={{-6.0,0.0},{6.0,-0.0}}, color={0,0,127}));
  connect(napeti.p,odpor.p) annotation(Line(visible=true, origin={-35.0,16.6667}, points={{-5.0,-6.6667},{-5.0,3.3333},{10.0,3.3333}}, color={0,0,255}));
  connect(EMF1.n,napeti.n) annotation(Line(visible=true, origin={-0.0,-18.5}, points={{40.0,8.5},{40.0,-1.5},{-40.0,-1.5},{-40.0,8.5}}, color={0,0,255}));
  connect(uzemneni.p,napeti.n) annotation(Line(visible=true, origin={-30.0,-19.375}, points={{15.0,-5.625},{15.0,-0.625},{-10.0,-0.625},{-10.0,9.375}}, color={0,0,255}));
  connect(EMF1.flange,zatez.flange_a) annotation(Line(visible=true, origin={55.0,-0.0}, points={{-5.0,-0.0},{5.0,0.0}}));
  annotation(experiment(StartTime=0.0, StopTime=25), Documentation(info="<html><p>A simple dynamic model of a controlled DC motor consisting of a variable voltage source, a resistor, an inductor, and an electro-motoric force element representing the coupling between electric energy and mechanical energy provided by the magnetic field in the DC motor. The motor axis is represented by a rotating inertia.</p>
<p>Comparison of step response for the rotational speed of the inertia using the default parameters (<em>DCMotor 2</em>) and with resistance set to <em>10 Ohm</em>, inductance <em>0.1 H</em>, and moment of inertia to&nbsp;<em>0.3 kg m<sup>2&nbsp;</sup></em> (<em>DCMotor 1</em>):</p>
<p><img src=\"MultiDomain/image012.png\" border=\"0\" alt=\"\" /></p></html>", revisions=""), Diagram(coordinateSystem(extent={{-100.0,-60.0},{100.0,60.0}}, preserveAspectRatio=true, initialScale=0.1, grid={5,5})), Icon(coordinateSystem(extent={{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10}), graphics={Text(visible=true, fillPattern=FillPattern.Solid, extent={{-100.0,-150.0},{100.0,-110.0}}, textString="%name", fontName="Arial"),Rectangle(visible=true, lineColor={112,31,0}, fillColor={255,85,0}, pattern=LinePattern.None, fillPattern=FillPattern.HorizontalCylinder, lineThickness=0, extent={{-50.0,-75.0},{75.0,75.0}}),Polygon(visible=true, lineColor={50,16,0}, fillColor={231,58,0}, pattern=LinePattern.None, fillPattern=FillPattern.HorizontalCylinder, lineThickness=0, points={{-50.0,75.0},{-75.0,50.0},{-75.0,-50.0},{-50.0,-75.0}}),Rectangle(visible=true, lineColor={64,64,64}, fillColor={191,191,191}, pattern=LinePattern.None, fillPattern=FillPattern.HorizontalCylinder, lineThickness=0, extent={{75.0,-25.0},{100.0,25.0}}),Polygon(visible=true, lineColor={51,51,51}, fillColor={25,25,25}, pattern=LinePattern.None, fillPattern=FillPattern.Solid, lineThickness=0, points={{-100.0,-100.0},{-100.0,-87.23},{-50.0,-87.23},{0.0,25.0},{25.0,25.0},{75.0,-86.93},{100.0,-86.93},{100.0,-100.0}}),Ellipse(visible=true, fillColor={192,192,192}, pattern=LinePattern.None, fillPattern=FillPattern.Solid, lineThickness=0, extent={{0.0,-12.5},{25.0,12.5}})}));
end SSmotorObj_RizOtacek;
